# ACE_Guard< ACE_Null_Mutex > Class Template Reference

Template specialization of ACE_Guard for the ACE_Null_Mutex. More...

`#include <Null_Mutex.h>`

Inheritance diagram for ACE_Guard< ACE_Null_Mutex >:

[legend]
List of all members.

## Public Member Functions

| ACE_Guard (ACE_Null_Mutex &)
| ACE_Guard (ACE_Null_Mutex &, int)
| ACE_Guard (ACE_Null_Mutex &, int, int)
| ~ACE_Guard (void)
int | acquire (void)
int | tryacquire (void)
int | release (void)
void | disown (void)
int | locked (void)
int | remove (void)
void | dump (void) const

## Private Member Functions

| ACE_Guard (const ACE_Guard< ACE_Null_Mutex > &)
void | operator= (const ACE_Guard< ACE_Null_Mutex > &)

## Detailed Description

### template<>
class ACE_Guard< ACE_Null_Mutex >

Template specialization of ACE_Guard for the ACE_Null_Mutex.

This specialization is useful since it helps to speedup performance of the "Null_Mutex" considerably.

## Constructor & Destructor Documentation

ACE_Guard< ACE_Null_Mutex >::~ACE_Guard | ( | void |  | ) | `[inline]`

## Member Function Documentation

ACE_Guard< ACE_Null_Mutex >::ACE_Guard | ( | const ACE_Guard< ACE_Null_Mutex > & |  | ) | `[private]`

ACE_Guard< ACE_Null_Mutex >::ACE_Guard | ( | ACE_Null_Mutex & | ,
|  | int | ,
|  | int |
| ) | `[inline]`

ACE_Guard< ACE_Null_Mutex >::ACE_Guard | ( | ACE_Null_Mutex & | ,
|  | int |
| ) | `[inline]`

ACE_Guard< ACE_Null_Mutex >::ACE_Guard | ( | ACE_Null_Mutex & |  | ) | `[inline]`

int ACE_Guard< ACE_Null_Mutex >::acquire | ( | void |  | ) | `[inline]`

| Reimplemented in ACE_Write_Guard< ACE_Null_Mutex >, and ACE_Read_Guard< ACE_Null_Mutex >.

void ACE_Guard< ACE_Null_Mutex >::disown | ( | void |  | ) | `[inline]`

void ACE_Guard< ACE_Null_Mutex >::dump | ( | void |  | ) | const`[inline]`

| Reimplemented in ACE_Write_Guard< ACE_Null_Mutex >, and ACE_Read_Guard< ACE_Null_Mutex >.

int ACE_Guard< ACE_Null_Mutex >::locked | ( | void |  | ) | `[inline]`

void ACE_Guard< ACE_Null_Mutex >::operator= | ( | const ACE_Guard< ACE_Null_Mutex > & |  | ) | `[private]`

int ACE_Guard< ACE_Null_Mutex >::release | ( | void |  | ) | `[inline]`

int ACE_Guard< ACE_Null_Mutex >::remove | ( | void |  | ) | `[inline]`

int ACE_Guard< ACE_Null_Mutex >::tryacquire | ( | void |  | ) | `[inline]`

| Reimplemented in ACE_Write_Guard< ACE_Null_Mutex >, and ACE_Read_Guard< ACE_Null_Mutex >.

The documentation for this class was generated from the following file:

- Null_Mutex.h